﻿@using FlightApp.Web.Models;
@model FlightViewModel
@{
    ViewBag.Title = "Create Flight";
}

<div class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h2 class="card-title">New Flight</h2>
                    <a asp-action="Index" class="btn-close"></a>
                </div>
                <div class="card-body">
                    @using (Html.BeginForm("Create", "Flight", FormMethod.Post, new { @class = "form" }))
                    {
                        @Html.AntiForgeryToken()

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.Name, new { @class = "control-label" })
                            @Html.TextBoxFor(model => model.Name, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.DepartureAirportId, new { @class = "control-label" })
                            @Html.DropDownListFor(model => model.DepartureAirportId, new SelectList(Model.AvailableAirports, "Id", "Name"), "Select Departure Airport", new { @class = "form-control", id = "departureAirportId" })
                            @Html.ValidationMessageFor(model => model.DepartureAirportId, "", new { @class = "text-danger" })
                        </div>

                        <div class="form-group mb-3">
                            @Html.LabelFor(model => model.ArrivalAirportId, new { @class = "control-label" })
                            @Html.DropDownListFor(model => model.ArrivalAirportId, new SelectList(Model.AvailableAirports, "Id", "Name"), "Select Arrival Airport", new { @class = "form-control", id = "arrivalAirportId" })
                            @Html.ValidationMessageFor(model => model.ArrivalAirportId, "", new { @class = "text-danger" })
                        </div>

                        <button type="submit" class="btn btn-primary btn-block mt-2 w-100">Create</button>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#departureAirportId").change(function () {
            var selectedDepartureAirport = $(this).val();
            $("#arrivalAirportId option").prop("disabled", false);
            $("#arrivalAirportId option[value='" + selectedDepartureAirport + "']").prop("disabled", true);
        });

        $("#arrivalAirportId").change(function () {
            var selectedArrivalAirport = $(this).val();
            $("#departureAirportId option").prop("disabled", false);
            $("#departureAirportId option[value='" + selectedArrivalAirport + "']").prop("disabled", true);
        });
    });
</script>
